com.r3corda.core.node.services.testing / MockTransactionStorage

# MockTransactionStorage

`open class MockTransactionStorage : TransactionStorage`

### Constructors

<init> | `MockTransactionStorage()`

### Functions

addTransaction | `open fun addTransaction(transaction: SignedTransaction): Unit` Add a new transaction to the store. If the store already has a transaction with the same id it will be overwritten.
getTransaction | `open fun getTransaction(id: SecureHash): SignedTransaction?` Return the transaction with the given id, or null if no such transaction exists.